=== debian/changelog ===
shadowsocks-libev (3.1.1+ds-3) unstable; urgency=medium

  * debian/tests:
    - Since isolation-container still didn't work, change to
      "isolation-machine" and have a try.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 04 Dec 2017 22:48:32 +0900

shadowsocks-libev (3.1.1+ds-2) unstable; urgency=medium

  * debian/tests:
    - Add isolation-container to Restrictions, since the tests need to
      open ports. Thanks to James Cowgill for this clue.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 22:29:45 +0900

shadowsocks-libev (3.1.1+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 00:57:17 +0900

shadowsocks-libev (3.1.1+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 00:53:29 +0900

shadowsocks-libev (3.1.1+ds-1) unstable; urgency=medium

  * Release to unstable.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 26 Nov 2017 18:45:47 +0900

shadowsocks-libev (3.1.1+ds-1~exp2) experimental; urgency=medium

  * debian/patches:
    - Remove the temp fix to set TZ=UTC prefix for asciidoc command
      for reproducible build.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 26 Nov 2017 17:59:20 +0900

shadowsocks-libev (3.1.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.1.1
  * debian/copyright:
    - Remove a few items from Files-Excluded list.
    - Update copyright year for src/uthash.h.
    - Add file entry for tests/test.py.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 23 Nov 2017 17:43:33 +0900

shadowsocks-libev (3.1.0+ds-5) unstable; urgency=medium

  * debian/patches:
    - Backport the tests.
  * debian/tests:
    - Add upstream tests.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 17 Nov 2017 01:39:53 +0900

shadowsocks-libev (3.1.0+ds-4~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:52:06 +0900

shadowsocks-libev (3.1.0+ds-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:51:12 +0900

shadowsocks-libev (3.1.0+ds-4) unstable; urgency=medium

  * Release to unstable.
  * debian/patches:
    - Backport a few patches from upstream.
      + [26ae365] Fix SOCKS5 connectivity issue.
      + [f35e24f] Support ubuntu artful and bionic for build_deb.sh.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:17:45 +0900

shadowsocks-libev (3.1.0+ds-4~exp2) experimental; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - Update versions in symbols, to it's proper old version in previous
      debian releases.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 29 Oct 2017 18:51:15 +0900

shadowsocks-libev (3.1.0+ds-4~exp1) experimental; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - setinterface doesn't exist on hurd and kfreebsd systems.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 27 Oct 2017 01:18:25 +0900

shadowsocks-libev (3.1.0+ds-3) unstable; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - Add symbols file for libshadowsocks-libev2.
  * debian/control:
    - Bump up package priority from extra to optional, since policy states
      extra is the same as optional now.
    - Bump up Standards-Version to 4.1.1

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Oct 2017 00:24:54 +0900

shadowsocks-libev (3.1.0+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 08:44:29 +0900

shadowsocks-libev (3.1.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 08:43:09 +0900

shadowsocks-libev (3.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport a few patches from upstream.
      + [c67d275] Fix potential local exploit issue.
        Thanks to X41 D-Sec GmbH, Niklas Abel, for the reporting:
         https://www.x41-dsec.de/lab/advisories/x41-2017-010-shadowsocks-libev/
      + [b3f3b58] & [f19a96e] Fix two null pointer dereference.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 18 Oct 2017 23:53:49 +0900

shadowsocks-libev (3.1.0+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 14 Oct 2017 16:26:30 +0900
