=== debian/tests/control ===
Test-Command: bash tests/test.sh
Depends: @, python, curl, dnsutils
Restrictions: allow-stderr, isolation-machine
