=== debian/changelog ===
shadowsocks-libev (3.1.2+ds-2) unstable; urgency=medium

  * debian/control:
    - Move git repo to salsa.
  * debian/rules:
    - Add more clean-up to make dpkg-buildpackage be able to run again.

 -- Roger Shimizu <rosh@debian.org>  Sun, 07 Jan 2018 15:38:11 +0900

shadowsocks-libev (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release 3.1.2
  * debian/control:
    - Update maintainer email.
  * Update debian/libshadowsocks-libev2.symbols.

 -- Roger Shimizu <rosh@debian.org>  Tue, 02 Jan 2018 01:44:29 +0900

shadowsocks-libev (3.1.1+ds-4) unstable; urgency=medium

  * debian/tests:
    - Remove isolation-* from Restrictions. Thanks to Antonio Terceiro
      to confirm there's no need to specify this to open port to listen.
  * debian/patches:
    - Add patch to change the port of test suite to listen from 8388 to
      8389, since 8388 is already taken by default config.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 13 Dec 2017 00:39:52 +0900
