=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: shadowsocks-libev
 Section: net
 Priority: optional
-Maintainer: Roger Shimizu <rogershimizu@gmail.com>
+Maintainer: Roger Shimizu <rosh@debian.org>
 Uploaders: Max Lv <max.c.lv@gmail.com>, Boyuan Yang <073plan@gmail.com>
 Build-Depends:
  asciidoc-base | asciidoc,
@@ -18,8 +18,8 @@
  xmlto
 Standards-Version: 4.1.1
 Homepage: https://www.shadowsocks.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/shadowsocks-libev.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shadowsocks-libev.git
+Vcs-Git: https://salsa.debian.org/bridges-team/shadowsocks-libev
+Vcs-Browser: https://salsa.debian.org/bridges-team/shadowsocks-libev
 
 Package: shadowsocks-libev
 Replaces: shadowsocks (<< 1.5.3-2)
