=== debian/changelog ===
shadowsocks-libev (3.1.3+ds-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:46:20 +0000

shadowsocks-libev (3.1.3+ds-1ubuntu1) bionic; urgency=medium

  * debian/shadowsocks-libev.postinst:
    - setcap may fail in some contexts (e.g. autopkgtest using LXD).  In
      that case, issue a warning and carry on.
  * debian/patches/test-proxy-unsupported.patch:
    - Skip tests if an upstream HTTP proxy is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Feb 2018 13:47:14 +0000

shadowsocks-libev (3.1.3+ds-1) unstable; urgency=medium

  * New upstream release 3.1.3

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:04:53 +0900
