=== debian/changelog ===
shadowsocks-libev (3.2.0+ds-5) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control:
    - Update my email address and use the @debian.org one.
    - Bump Standards-Version to 4.2.1 (no changes needed).

  [ Roger Shimizu ]
  * debian/shadowsocks-libev.service (cherry-pick from upstream):
    - Add CapabilityBoundingSet: CAP_NET_BIND_SERVICE
  * debian/shadowsocks-libev*.service (cherry-pick from upstream):
    - Add AmbientCapabilities sames as CapabilityBoundingSet.
  * Move "tcp_and_udp" mode setting from init script / systemd service
    to config.json. Also add a NEWS about this change.
  * debian/patches: Backport a few patches from upstream.
    - [482040a] Fix a potential stackoverflow issue.
    - [92cab35] Add check for reusing server's nonce/salt.

 -- Roger Shimizu <rosh@debian.org>  Thu, 08 Nov 2018 02:16:23 +0900

shadowsocks-libev (3.2.0+ds-4) unstable; urgency=medium

  * debian/patches:
    - Backport two upstream patches to support IPv6 bind address in
      config, but no actual ipv6 network interface.
  * debian/config.json:
    - Add IPv6 loopback address ::1 to bind list. This should be no harm
      since the above two patches. (Closes: #881847)
  * Remove debian/source/lintian-overrides:
    - The only lintian override, license-problem-gfdl-invariants, was
      addressed after stretch. Guessing ftpmaster shouldn't complain this
      anymore.

 -- Roger Shimizu <rosh@debian.org>  Mon, 24 Sep 2018 00:32:10 +0900

shadowsocks-libev (3.2.0+ds-3) unstable; urgency=medium

  * debian/control:
    - Use tracker mail as uploader address.
  * debian/patches:
    - Add patch to fix of PATH_MAX for GNU/Hurd.
      Upstreamed already as [d88345fa].
  * debian/shadowsocks-libev.postinst & debian/control:
    - Drop apg and pwgen from Depends, use perl rand() snippet to
      generate password. Thanks to Shengjing Zhu (Closes: 900258).

 -- Roger Shimizu <rosh@debian.org>  Sun, 17 Jun 2018 11:19:11 +0900

shadowsocks-libev (3.2.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick patch from upstream that set default cipher to
      chacha20-ietf-poly1305, which was already debian package's default long
      before.
    - Add a patch to fix tests by using "local" setting instead of
      "local_address" in tests's config.

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Jun 2018 16:07:15 +0900

shadowsocks-libev (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against GCC 8. Closes: #897858.
    - Add support for XDG_CONFIG_HOME envvar.
    - Minor bug fixes.
  * debian/: Apply "wrap-and-sort -abst" for a uniformed format.
  * debian/control:
    - Bump Standards-Version to 4.1.4. (no changes needed)
  * debian/rules:
    - Use "dh_missing --fail-missing".
    - Remove unnecessary extra files before dh_install.
  * debian/copyright: Update copyright date information.
  * debian/patches: Refresh patches.
  * debian/shadowsocks-libev.install:
    - Also install zsh completions into system.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 04 Jun 2018 17:48:46 +0800

shadowsocks-libev (3.1.3+ds-2) unstable; urgency=medium

  [ Sync from 3.1.3+ds-1ubuntu1 ]
  * debian/shadowsocks-libev.postinst:
    - setcap may fail in some contexts (e.g. autopkgtest using LXD).  In
      that case, issue a warning and carry on.
  * debian/patches/test-proxy-unsupported.patch:
    - Skip tests if an upstream HTTP proxy is set.

  [ Roger Shimizu ]
  * debian/patches: Backport a few patches from upstream.
    - [ed508ac] Fix no parse --fast-open in manager mode.
    - [b6faadf] Support TCP_NODELAY in manager mode.
    - [b361f75] Remove unused return value.
    - [1a21989] Remove the return value in traffic IPC.
    - [7b643dc] Invoke plugins direct instead of using "sh".
    - [9778ce2] Documentation improvements.
    - [fb22adc] Fix unsafe stripping of port from hostname in http.c
                (incompatibility SNI sniffing with IPv6).
    - [26e06a7] Fix bypassing repeated-salt check.
    - [e7ad7fc] udprelay: display mtu at least size.
    - [a377c51] Fix #1974 that ss-server should return a non-zero value
                if plugin failed to start.
    - [d61b8f0] Launch plugin with NULL params gives plugin to run in both
                plugin mode & cli mode.
  * A few bits change to comfort lintian:
    - Amend Vcs-Git field of debian/control.
    - Move debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:15:49 +0900
