=== debian/control ===
Source: shadowsocks-libev
Section: net
Priority: optional
Maintainer: Roger Shimizu <rosh@debian.org>
Uploaders:
 Max Lv <max.c.lv@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Debian Bridges Team <team+bridges@tracker.debian.org>
Build-Depends:
 asciidoc-base | asciidoc,
 debhelper (>= 10),
 libbloom-dev,
 libc-ares-dev,
 libcork-dev (>= 0.15.0+ds-8),
 libcorkipset-dev,
 libev-dev,
 libmbedtls-dev,
 libpcre3-dev,
 libsodium-dev (>= 1.0.12),
 pkg-config,
 xmlto,
Standards-Version: 4.2.1
Homepage: https://www.shadowsocks.org
Vcs-Git: https://salsa.debian.org/bridges-team/shadowsocks-libev.git
Vcs-Browser: https://salsa.debian.org/bridges-team/shadowsocks-libev

Package: libshadowsocks-libev-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Breaks:
 shadowsocks-libev (<< 2.4.0),
Depends:
 libshadowsocks-libev2 (= ${binary:Version}),
 ${misc:Depends},
Description: lightweight and secure socks5 proxy (development files)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.
 .
 This package provides C header files for the libraries.

Package: libshadowsocks-libev2
Architecture: any
Multi-Arch: same
Section: libs
Replaces:
 libshadowsocks-libev1,
Breaks:
 libshadowsocks-libev1,
 shadowsocks-libev (<< 2.4.0),
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight and secure socks5 proxy (shared library)
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.
 .
 This package provides shared libraries.

Package: shadowsocks-libev
Replaces:
 shadowsocks (<< 1.5.3-2),
Breaks:
 shadowsocks (<< 1.5.3-2),
Architecture: any
Depends:
 libcap2-bin [linux-any],
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 haveged,
 kcptun,
 simple-obfs,
Description: lightweight and secure socks5 proxy
 Shadowsocks-libev is a lightweight and secure socks5 proxy for
 embedded devices and low end boxes.
 .
 Shadowsocks-libev was inspired by Shadowsock (in Python). It's rewritten
 in pure C and only depends on libev, mbedTLS and a few other tiny
 libraries.
