=== debian/changelog ===
shadowsocks-libev (3.2.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 26 Nov 2018 23:56:45 +0900

shadowsocks-libev (3.2.1+ds-2) unstable; urgency=medium

  * debian/patches: Backport patch from upstream.
    - [569570c] Fix memory alignment for AES256GCM on 32-bit system.
    - [519776c] Relax the nonce check in clients.
    - [4a51c28] Fix udp relay when tcp only (for use with kcptun).
    - [910e29a] Make local address 0.0.0.0 work with udp relay.

 -- Roger Shimizu <rosh@debian.org>  Fri, 23 Nov 2018 00:59:18 +0900

shadowsocks-libev (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
    - Add TCP fast open support to ss-tunnel by @PantherJohn.
    - Fix several security issues.
  * debian/libshadowsocks-libev2.symbols:
    - Remove keep_resolving.
    - Add ss_is_ipv6addr.

 -- Roger Shimizu <rosh@debian.org>  Mon, 12 Nov 2018 01:44:02 +0900

shadowsocks-libev (3.2.0+ds-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 10 Nov 2018 14:59:34 +0900

shadowsocks-libev (3.2.0+ds-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 Jun 2018 09:55:21 +0900

shadowsocks-libev (3.2.0+ds-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 Jun 2018 09:52:21 +0900

shadowsocks-libev (3.2.0+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 Jun 2018 00:16:49 +0900

shadowsocks-libev (3.2.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 Jun 2018 00:16:24 +0900

shadowsocks-libev (3.1.3+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:52:23 +0900

shadowsocks-libev (3.1.3+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:51:51 +0900

shadowsocks-libev (3.1.3+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:22:56 +0900

shadowsocks-libev (3.1.3+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:22:25 +0900

shadowsocks-libev (3.1.2+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jan 2018 22:13:29 +0900

shadowsocks-libev (3.1.2+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jan 2018 22:13:08 +0900
