=== debian/changelog ===
shadowsocks-libev (3.2.2+ds-1) unstable; urgency=medium

  * New upstream release: v3.2.2
    - Fix a bug on 32-bit arch.
  * debian/libshadowsocks-libev2.symbols:
    - Add s_port@Base

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Nov 2018 01:15:47 +0900
